Bug 61738 - Downgrade port: devel/clanlib to 0.6.5.1
Downgrade port: devel/clanlib to 0.6.5.1
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: pav
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-22 17:30 UTC by jylefort
Modified: 2004-01-24 14:34 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (77.50 KB, patch)
2004-01-22 17:30 UTC, jylefort
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jylefort 2004-01-22 17:30:20 UTC
As said in ports/59964, it is desirable to downgrade devel/clanlib to
0.6.5. However, the explanation given there is rather nebulous.

The reason mandating a downgrade is the following: the new 0.7 API is
_not_ backwards compatible. Some software require the old API, while
some other require the new API.

The devel/clanlib patch proposed in ports/59964 has several flaws:

	- Probable improper packing list if lang/lua is installed
	- Fails to bump PORTEPOCH
	- USE_PERL_BUILD isn't necessary if not building doc
	- Some configure args aren't needed
	- The devel/stlport dependency isn't needed
	- The tunables are not wanted, as it is better to have a
	  complete clanlib anyway
	- No handling of documentation
	- Wrong Sources/Sound/Sound/ClanSound/cdaudio_linux.cpp patch

The attached patch addresses those issues, and does not use the -0.6
postfix for installation directories (only devel/clanlib-devel should
use a specific postfix, as it is the development version).

If committed, it'd be good to modify devel/clanlib-devel so that it
uses separate directories.
Comment 1 jylefort 2004-01-23 15:52:02 UTC
Updated version of the above patch, with a few minor fixes:

diff -ruN /usr/ports/devel/clanlib/Makefile clanlib/Makefile
--- /usr/ports/devel/clanlib/Makefile	Sun Dec 21 07:40:40 2003
+++ clanlib/Makefile	Fri Jan 23 15:45:13 2004
@@ -2,97 +2,55 @@
 # Date created:				10 May 2000
 # Whom:					Maxim Sobolev <sobomax@FreeBSD.org>
 #
-# $FreeBSD: ports/devel/clanlib/Makefile,v 1.11 2003/12/20 16:37:54 naddy Exp $
+# $FreeBSD$
 #
 
 PORTNAME=	clanlib
-PORTVERSION=	0.7.5.2
-PORTREVISION=	1
+PORTVERSION=	0.6.5.1
+PORTEPOCH=	1
 CATEGORIES=	devel
 MASTER_SITES=	http://clanlib.org/~sphair/download/
 DISTNAME=	ClanLib-${PORTVERSION:R}-${PORTVERSION:E}
 
-MAINTAINER=	ports@FreeBSD.org
+MAINTAINER=	jylefort@brutele.be
 COMMENT=	Cross-platform game SDK
 
-LIB_DEPENDS=	Hermes.1:${PORTSDIR}/graphics/Hermes \
-		jpeg.9:${PORTSDIR}/graphics/jpeg \
-		png.5:${PORTSDIR}/graphics/png
+LIB_DEPENDS=	Hermes:${PORTSDIR}/graphics/Hermes \
+		jpeg:${PORTSDIR}/graphics/jpeg \
+		png:${PORTSDIR}/graphics/png \
+		freetype:${PORTSDIR}/print/freetype2 \
+		mikmod:${PORTSDIR}/audio/libmikmod \
+		vorbis:${PORTSDIR}/audio/libvorbis
+
+# conflicts with devel/clanlib-devel
+CONFLICTS=	clanlib-0.7.*
 
 WRKSRC=		${WRKDIR}/ClanLib-${PORTVERSION:R}
 
-USE_BZIP2=	yes
-USE_PERL5_BUILD=	yes
 USE_XLIB=	yes
-USE_GNOME=	gnomehack gnometarget pkgconfig
+USE_GL=		yes
+GNU_CONFIGURE=	yes
 USE_GMAKE=	yes
-USE_LIBTOOL=	yes
 USE_REINPLACE=	yes
-CONFIGURE_ENV=	CPPFLAGS="${CPPFLAGS}" LDFLAGS="${LDFLAGS}"
-CONFIGURE_ARGS=	--disable-clanJavaScript --disable-docs
+CONFIGURE_ENV=	CPPFLAGS="-I${LOCALBASE}/include ${PTHREAD_CFLAGS}" \
+		LDFLAGS="-L${LOCALBASE}/lib"
+CONFIGURE_ARGS=	--disable-directfb --disable-lua
 INSTALLS_SHLIB=	yes
 
-CPPFLAGS=	-I${LOCALBASE}/include ${PTHREAD_CFLAGS}
-LDFLAGS=	-L${LOCALBASE}/lib ${PTHREAD_LIBS}
-
-.include <bsd.port.pre.mk>
-
-.if ${OSVERSION} < 500032
-BUILD_DEPENDS+=	${LOCALBASE}/lib/libstlport_gcc.so:${PORTSDIR}/devel/stlport
-RUN_DEPENDS+=	${LOCALBASE}/lib/libstlport_gcc.so:${PORTSDIR}/devel/stlport
-CPPFLAGS+=	-I${LOCALBASE}/include/stlport
-LDFLAGS+=	-lstlport_gcc
-CFLAGS+=	-O0
-.endif
-
-.if defined(WITHOUT_SDL)
-CONFIGURE_ARGS+=	--disable-clanSDL
-PLIST_SUB+=	SDL="@comment "
-.else
-USE_SDL=	yes
-CONFIGURE_ARGS+=	--disable-sdltest
-PLIST_SUB+=	SDL=""
-.endif
-
-.if defined(WITHOUT_OPENGL)
-CONFIGURE_ARGS+=	--disable-clanGL
-PLIST_SUB+=	OPENGL="@comment "
-.else
-USE_MESA=	yes
-PLIST_SUB+=	OPENGL=""
-.endif
-
-.if defined(WITHOUT_MIKMOD)
-CONFIGURE_ARGS+=	--disable-clanMikMod
-PLIST_SUB+=	LIBMIKMOD="@comment "
-.else
-LIB_DEPENDS+=	mikmod.2:${PORTSDIR}/audio/libmikmod
-PLIST_SUB+=	LIBMIKMOD=""
-.endif
-
-.if defined(WITHOUT_VORBIS)
-CONFIGURE_ARGS+=	--disable-clanVorbis
-PLIST_SUB+=	LIBVORBIS="@comment "
-.else
-LIB_DEPENDS+=	vorbis.3:${PORTSDIR}/audio/libvorbis
-PLIST_SUB+=	LIBVORBIS=""
+.if !defined(NOPORTDOCS)
+USE_PERL5_BUILD=	yes
+ALL_TARGET=	all docs
+INSTALL_TARGET=	install docs_install
 .endif
 
-pre-everything::
-	@${ECHO_MSG} "ClanLib has the following tunables option(s):"
-	@${ECHO_MSG} ""
-	@${ECHO_MSG} "	WITHOUT_SDL=yes		Turns off SDL support"
-	@${ECHO_MSG} "	WITHOUT_OPENGL=yes	Turns off OpenGL support"
-	@${ECHO_MSG} "	WITHOUT_MIKMOD=yes	Turns off libmikmod support"
-	@${ECHO_MSG} "	WITHOUT_VORBIS=yes	Turns off libvorbis support"
-	@${ECHO_MSG} ""
-
 post-patch:
-	@${GREP} -lR "SDL/SDL" ${WRKSRC} | ${XARGS} ${REINPLACE_CMD} -e \
-		's|SDL/SDL|SDL|g'
-	@${REINPLACE_CMD} -e 's|-lpthread||g' \
-		${WRKSRC}/Sources/Core/Makefile.in
-	@${REINPLACE_CMD} -e 's|@perl_exec@|${PERL}|g' \
+	@${REINPLACE_CMD} -e 's|%%PTHREAD_CFLAGS%%|${PTHREAD_CFLAGS}|; s|%%PTHREAD_LIBS%%|${PTHREAD_LIBS}|' \
+		${WRKSRC}/Setup/Unix/clanlib-config.in
+	@${REINPLACE_CMD} -e 's|%%PERL%%|${PERL}|' \
+		${WRKSRC}/Documentation/FAQ.theme \
+		${WRKSRC}/Documentation/Reference/pce2 \
+		${WRKSRC}/Documentation/Utilities/transform.sh
+	@${REINPLACE_CMD} -e 's|@perl_exec@|${PERL}|' \
 		${WRKSRC}/Documentation/Utilities/webbuilder.pl.in
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff -ruN /usr/ports/devel/clanlib/distinfo clanlib/distinfo
--- /usr/ports/devel/clanlib/distinfo	Sat Oct 25 07:08:03 2003
+++ clanlib/distinfo	Thu Jan 22 13:35:17 2004
@@ -1 +1 @@
-MD5 (ClanLib-0.7.5-2.tar.bz2) = 40f56ddae5e136d126e6066dc4b6ef1a
+MD5 (ClanLib-0.6.5-1.tar.gz) = 7115921953ef6fa45102c28622493650
diff -ruN /usr/ports/devel/clanlib/files/patch-Documentation::FAQ.theme clanlib/files/patch-Documentation::FAQ.theme
--- /usr/ports/devel/clanlib/files/patch-Documentation::FAQ.theme	Thu Jan  1 01:00:00 1970
+++ clanlib/files/patch-Documentation::FAQ.theme	Thu Jan 22 15:41:01 2004
@@ -0,0 +1,8 @@
+--- Documentation/FAQ.theme.orig	Thu Jan 22 15:35:29 2004
++++ Documentation/FAQ.theme	Thu Jan 22 15:35:39 2004
+@@ -1,3 +1,5 @@
++#! %%PERL%%
++
+ #
+ # ClanSoft Documentation: FAQ theme,
+ # Copyright (c) 1999 by Magnus Norddahl / ClanSoft & Kenneth Gangstoe.
diff -ruN /usr/ports/devel/clanlib/files/patch-Documentation::Makefile.in clanlib/files/patch-Documentation::Makefile.in
--- /usr/ports/devel/clanlib/files/patch-Documentation::Makefile.in	Thu Jan  1 01:00:00 1970
+++ clanlib/files/patch-Documentation::Makefile.in	Thu Jan 22 15:51:32 2004
@@ -0,0 +1,28 @@
+--- Documentation/Makefile.in.orig	Thu Jan 22 15:34:28 2004
++++ Documentation/Makefile.in	Thu Jan 22 15:51:08 2004
+@@ -1,6 +1,4 @@
+-prefix=@prefix@/share/
+-
+-HTML_PREFIX = $(prefix)/doc/ClanLib-docs-@version_minor@/Documentation
++HTML_PREFIX = @prefix@/share/doc/clanlib
+ 
+ all: faq
+ 	Utilities/webbuilder.pl documentation.theme index.xml
+@@ -10,14 +8,15 @@
+ #	cd Tutorial; make
+ 
+ faq:
+-	perl FAQ.theme
++	chmod +x FAQ.theme
++	./FAQ.theme
+ 
+ install:
+ 	@install -d $(HTML_PREFIX)
+ 	@install -d $(HTML_PREFIX)/Images
+ 	@install -m 0644 Images/*.gif $(HTML_PREFIX)/Images
+ 	@install -m 0644 *.html $(HTML_PREFIX)
+-	
++
+ #	cd Reference; make man_install
+ 	cd Reference; make html_install
+ 	cd Overview; make install
diff -ruN /usr/ports/devel/clanlib/files/patch-Documentation::Overview::Makefile.in clanlib/files/patch-Documentation::Overview::Makefile.in
--- /usr/ports/devel/clanlib/files/patch-Documentation::Overview::Makefile.in	Thu Jan  1 01:00:00 1970
+++ clanlib/files/patch-Documentation::Overview::Makefile.in	Thu Jan 22 14:54:30 2004
@@ -0,0 +1,18 @@
+--- Documentation/Overview/Makefile.in.orig	Thu Jan 22 14:53:10 2004
++++ Documentation/Overview/Makefile.in	Thu Jan 22 14:53:33 2004
+@@ -1,6 +1,4 @@
+-prefix=@prefix@/share
+-
+-HTML_PREFIX = $(prefix)/doc/ClanLib-docs-@version_minor@/Documentation
++HTML_PREFIX = @prefix@/share/doc/clanlib
+ 
+ all:	index.html
+ 
+@@ -26,6 +24,6 @@
+ 	@install -m 0644 Images/*.png $(HTML_PREFIX)/Overview/Images
+ distclean: clean
+ 	rm Makefile
+-	
++
+ clean:
+ 	rm -f *.html
diff -ruN /usr/ports/devel/clanlib/files/patch-Documentation::Reference::Makefile.in clanlib/files/patch-Documentation::Reference::Makefile.in
--- /usr/ports/devel/clanlib/files/patch-Documentation::Reference::Makefile.in	Thu Jan  1 01:00:00 1970
+++ clanlib/files/patch-Documentation::Reference::Makefile.in	Thu Jan 22 15:12:49 2004
@@ -0,0 +1,27 @@
+--- Documentation/Reference/Makefile.in.orig	Thu Jan 22 14:52:33 2004
++++ Documentation/Reference/Makefile.in	Thu Jan 22 15:11:07 2004
+@@ -1,13 +1,11 @@
+-
+-prefix=@prefix@/share
+-HTML_PREFIX = $(prefix)/doc/ClanLib-docs-@version_minor@/Documentation
++HTML_PREFIX = @prefix@/share/doc/clanlib
+ 
+ all:	html
+ 
+ html:
+ 	@echo 'Type "make html_install" to install the html reference pages.'
+ 	if [ ! -d html ]; then mkdir html; fi
+-	chmod +x ./pce2
++	chmod +xg-s ./pce2
+ 	find ../../Sources/API -name '*.h' | xargs ./pce2
+ 
+ html_install:
+@@ -20,7 +18,7 @@
+ 
+ distclean: clean
+ 	rm -f Makefile
+-	
++
+ clean:
+ 	rm -rf html
+ 
diff -ruN /usr/ports/devel/clanlib/files/patch-Documentation::Reference::pce2 clanlib/files/patch-Documentation::Reference::pce2
--- /usr/ports/devel/clanlib/files/patch-Documentation::Reference::pce2	Thu Jan  1 01:00:00 1970
+++ clanlib/files/patch-Documentation::Reference::pce2	Thu Jan 22 15:41:28 2004
@@ -0,0 +1,8 @@
+--- Documentation/Reference/pce2.orig	Thu Jan 22 15:38:17 2004
++++ Documentation/Reference/pce2	Thu Jan 22 15:38:24 2004
+@@ -1,4 +1,4 @@
+-#!/usr/bin/perl
++#! %%PERL%%
+ 
+ #  PCE2 - Perl C++ Extractor version 2
+ #  Copyright 2000-1999, Karl Nelson  <kenelson@users.sourceforge.net>
diff -ruN /usr/ports/devel/clanlib/files/patch-Documentation::Utilities::transform.sh clanlib/files/patch-Documentation::Utilities::transform.sh
--- /usr/ports/devel/clanlib/files/patch-Documentation::Utilities::transform.sh	Thu Jan  1 01:00:00 1970
+++ clanlib/files/patch-Documentation::Utilities::transform.sh	Thu Jan 22 15:42:38 2004
@@ -0,0 +1,11 @@
+--- Documentation/Utilities/transform.sh.orig	Thu Jan 22 15:42:03 2004
++++ Documentation/Utilities/transform.sh	Thu Jan 22 15:42:08 2004
+@@ -3,7 +3,7 @@
+ # user-annotation capability.
+ 
+ DIRS=$@
+-EFED="perl Utilities/efed.pl"
++EFED="%%PERL%% Utilities/efed.pl"
+ 
+ for d in $DIRS; do
+   if test -d $d; then
diff -ruN /usr/ports/devel/clanlib/files/patch-Setup::Unix::Makefile.display.in clanlib/files/patch-Setup::Unix::Makefile.display.in
--- /usr/ports/devel/clanlib/files/patch-Setup::Unix::Makefile.display.in	Thu Jan  1 01:00:00 1970
+++ clanlib/files/patch-Setup::Unix::Makefile.display.in	Thu Jan 22 13:28:15 2004
@@ -0,0 +1,11 @@
+--- Setup/Unix/Makefile.display.in.orig	Thu Jan 22 08:27:39 2004
++++ Setup/Unix/Makefile.display.in	Thu Jan 22 08:27:53 2004
+@@ -114,7 +114,7 @@
+ 
+ # $(OBJF_DISP_X11) $(OBJF_DISP_FBDEV)
+ 
+-LINK_DISP = -L Libs -lclanCore @x_libraries@ -lHermes @directfb_libs@
++LINK_DISP = @LDFLAGS@ -L Libs -lclanCore @x_libraries@ -lHermes @directfb_libs@
+ 
+ Libs/libclanDisplay.so: Libs/libclanCore.so $(OBJF_DISP_ALL)
+ 	@echo "Building Libs/libclanDisplay.so"
diff -ruN /usr/ports/devel/clanlib/files/patch-Setup::Unix::Makefile.jpeg.in clanlib/files/patch-Setup::Unix::Makefile.jpeg.in
--- /usr/ports/devel/clanlib/files/patch-Setup::Unix::Makefile.jpeg.in	Thu Jan  1 01:00:00 1970
+++ clanlib/files/patch-Setup::Unix::Makefile.jpeg.in	Thu Jan 22 13:28:57 2004
@@ -0,0 +1,11 @@
+--- Setup/Unix/Makefile.jpeg.in.orig	Thu Jan 22 08:28:53 2004
++++ Setup/Unix/Makefile.jpeg.in	Thu Jan 22 08:29:02 2004
+@@ -21,7 +21,7 @@
+ 
+ Libs/libclanJPEG.so: Libs/libclanCore.so $(OBJF_LIB_JPEG)
+ 	@echo "Building Libs/libclanJPEG.so"
+-	@$(LINK_COMMAND) -Wl,-soname=libclanJPEG.so.$(D_VERSION_MAJOR) -o Libs/libclanJPEG.so.$(D_VERSION_MINOR) $(OBJF_LIB_JPEG) -L Libs -lclanCore -ljpeg
++	@$(LINK_COMMAND) -Wl,-soname=libclanJPEG.so.$(D_VERSION_MAJOR) -o Libs/libclanJPEG.so.$(D_VERSION_MINOR) $(OBJF_LIB_JPEG) @LDFLAGS@ -L Libs -lclanCore -ljpeg
+ 	@ln -s -f libclanJPEG.so.$(D_VERSION_MINOR) Libs/libclanJPEG.so.$(D_VERSION_MAJOR)
+ 	@ln -s -f libclanJPEG.so.$(D_VERSION_MAJOR) Libs/libclanJPEG.so
+ 
diff -ruN /usr/ports/devel/clanlib/files/patch-Setup::Unix::Makefile.mikmod.in clanlib/files/patch-Setup::Unix::Makefile.mikmod.in
--- /usr/ports/devel/clanlib/files/patch-Setup::Unix::Makefile.mikmod.in	Thu Jan  1 01:00:00 1970
+++ clanlib/files/patch-Setup::Unix::Makefile.mikmod.in	Thu Jan 22 13:29:20 2004
@@ -0,0 +1,11 @@
+--- Setup/Unix/Makefile.mikmod.in.orig	Thu Jan 22 08:28:13 2004
++++ Setup/Unix/Makefile.mikmod.in	Thu Jan 22 08:28:30 2004
+@@ -22,7 +22,7 @@
+ 
+ Libs/libclanMikMod.so: Libs/libclanCore.so $(OBJF_LIB_MIKMOD)
+ 	@echo "Building Libs/libclanMikMod.so"
+-	@$(LINK_COMMAND) -Wl,-soname=libclanMikMod.so.$(D_VERSION_MAJOR) -o Libs/libclanMikMod.so.$(D_VERSION_MINOR) $(OBJF_LIB_MIKMOD) -L Libs -lclanCore -lmikmod
++	@$(LINK_COMMAND) -Wl,-soname=libclanMikMod.so.$(D_VERSION_MAJOR) -o Libs/libclanMikMod.so.$(D_VERSION_MINOR) $(OBJF_LIB_MIKMOD) @LDFLAGS@ -L Libs -lclanCore -lmikmod
+ 	@ln -s -f libclanMikMod.so.$(D_VERSION_MINOR) Libs/libclanMikMod.so.$(D_VERSION_MAJOR)
+ 	@ln -s -f libclanMikMod.so.$(D_VERSION_MAJOR) Libs/libclanMikMod.so
+ 
diff -ruN /usr/ports/devel/clanlib/files/patch-Setup::Unix::Makefile.png.in clanlib/files/patch-Setup::Unix::Makefile.png.in
--- /usr/ports/devel/clanlib/files/patch-Setup::Unix::Makefile.png.in	Thu Jan  1 01:00:00 1970
+++ clanlib/files/patch-Setup::Unix::Makefile.png.in	Thu Jan 22 13:29:50 2004
@@ -0,0 +1,11 @@
+--- Setup/Unix/Makefile.png.in.orig	Thu Jan 22 08:28:36 2004
++++ Setup/Unix/Makefile.png.in	Thu Jan 22 08:28:47 2004
+@@ -20,7 +20,7 @@
+ 
+ Libs/libclanPNG.so: Libs/libclanCore.so $(OBJF_LIB_PNG)
+ 	@echo "Building Libs/libclanPNG.so"
+-	@$(LINK_COMMAND) -Wl,-soname=libclanPNG.so.$(D_VERSION_MAJOR) -o Libs/libclanPNG.so.$(D_VERSION_MINOR) $(OBJF_LIB_PNG) -L Libs -lclanCore -lpng
++	@$(LINK_COMMAND) -Wl,-soname=libclanPNG.so.$(D_VERSION_MAJOR) -o Libs/libclanPNG.so.$(D_VERSION_MINOR) $(OBJF_LIB_PNG) @LDFLAGS@ -L Libs -lclanCore -lpng
+ 	@ln -s -f libclanPNG.so.$(D_VERSION_MINOR) Libs/libclanPNG.so.$(D_VERSION_MAJOR)
+ 	@ln -s -f libclanPNG.so.$(D_VERSION_MAJOR) Libs/libclanPNG.so
+ 
diff -ruN /usr/ports/devel/clanlib/files/patch-Setup::Unix::Makefile.ttf.in clanlib/files/patch-Setup::Unix::Makefile.ttf.in
--- /usr/ports/devel/clanlib/files/patch-Setup::Unix::Makefile.ttf.in	Thu Jan  1 01:00:00 1970
+++ clanlib/files/patch-Setup::Unix::Makefile.ttf.in	Thu Jan 22 13:30:12 2004
@@ -0,0 +1,11 @@
+--- Setup/Unix/Makefile.ttf.in.orig	Thu Jan 22 08:54:07 2004
++++ Setup/Unix/Makefile.ttf.in	Thu Jan 22 08:54:25 2004
+@@ -22,7 +22,7 @@
+ 
+ Libs/libclanTTF.so: Libs/libclanCore.so $(OBJF_LIB_TTF)
+ 	@echo "Building Libs/libclanTTF.so"
+-	@$(LINK_COMMAND) -Wl,-soname=libclanTTF.so.$(D_VERSION_MAJOR) -o Libs/libclanTTF.so.$(D_VERSION_MINOR) $(OBJF_LIB_TTF) -L Libs -lclanCore -lfreetype
++	@$(LINK_COMMAND) -Wl,-soname=libclanTTF.so.$(D_VERSION_MAJOR) -o Libs/libclanTTF.so.$(D_VERSION_MINOR) $(OBJF_LIB_TTF) @LDFLAGS@ -L Libs -lclanCore -lfreetype
+ 	@ln -s -f libclanTTF.so.$(D_VERSION_MINOR) Libs/libclanTTF.so.$(D_VERSION_MAJOR)
+ 	@ln -s -f libclanTTF.so.$(D_VERSION_MAJOR) Libs/libclanTTF.so
+ 
diff -ruN /usr/ports/devel/clanlib/files/patch-Setup::Unix::Makefile.vorbis.in clanlib/files/patch-Setup::Unix::Makefile.vorbis.in
--- /usr/ports/devel/clanlib/files/patch-Setup::Unix::Makefile.vorbis.in	Thu Jan  1 01:00:00 1970
+++ clanlib/files/patch-Setup::Unix::Makefile.vorbis.in	Thu Jan 22 13:30:23 2004
@@ -0,0 +1,11 @@
+--- Setup/Unix/Makefile.vorbis.in.orig	Thu Jan 22 08:29:25 2004
++++ Setup/Unix/Makefile.vorbis.in	Thu Jan 22 08:29:36 2004
+@@ -20,7 +20,7 @@
+ 
+ Libs/libclanVorbis.so: Libs/libclanCore.so $(OBJF_LIB_VORBIS)
+ 	@echo "Building Libs/libclanVorbis.so"
+-	@$(LINK_COMMAND) -Wl,-soname=libclanVorbis.so.$(D_VERSION_MAJOR) -o Libs/libclanVorbis.so.$(D_VERSION_MINOR) $(OBJF_LIB_VORBIS) -L Libs -lclanCore -lvorbis
++	@$(LINK_COMMAND) -Wl,-soname=libclanVorbis.so.$(D_VERSION_MAJOR) -o Libs/libclanVorbis.so.$(D_VERSION_MINOR) $(OBJF_LIB_VORBIS) @LDFLAGS@ -L Libs -lclanCore -lvorbis
+ 	@ln -s -f libclanVorbis.so.$(D_VERSION_MINOR) Libs/libclanVorbis.so.$(D_VERSION_MAJOR)
+ 	@ln -s -f libclanVorbis.so.$(D_VERSION_MAJOR) Libs/libclanVorbis.so	
+ 
diff -ruN /usr/ports/devel/clanlib/files/patch-Setup::Unix::clanlib-config.in clanlib/files/patch-Setup::Unix::clanlib-config.in
--- /usr/ports/devel/clanlib/files/patch-Setup::Unix::clanlib-config.in	Thu Jan  1 01:00:00 1970
+++ clanlib/files/patch-Setup::Unix::clanlib-config.in	Fri Jan 23 15:34:14 2004
@@ -0,0 +1,14 @@
+--- Setup/Unix/clanlib-config.in.orig	Fri Jan 23 15:32:52 2004
++++ Setup/Unix/clanlib-config.in	Fri Jan 23 15:33:42 2004
+@@ -16,9 +16,9 @@
+     ;;
+   --cflags)
+     includes=-I${includedir} 
+-    echo ${includes} @comp_mode@
++    echo ${includes} %%PTHREAD_CFLAGS%%
+     ;;     
+   --libs)
+-    echo -L${libdir} -lclanCore -lclanApp
++    echo -L${libdir} -lclanCore -lclanApp %%PTHREAD_LIBS%%
+     ;;
+ esac
diff -ruN /usr/ports/devel/clanlib/files/patch-Sources::API::Core::System::clanstring.h clanlib/files/patch-Sources::API::Core::System::clanstring.h
--- /usr/ports/devel/clanlib/files/patch-Sources::API::Core::System::clanstring.h	Thu Jan  1 01:00:00 1970
+++ clanlib/files/patch-Sources::API::Core::System::clanstring.h	Thu Jan 22 13:31:04 2004
@@ -0,0 +1,11 @@
+--- Sources/API/Core/System/clanstring.h.orig	Thu Jan 22 13:11:58 2004
++++ Sources/API/Core/System/clanstring.h	Thu Jan 22 13:12:12 2004
+@@ -39,7 +39,7 @@
+ #include <extras.h>
+ #endif
+ 
+-#ifdef __MACOS__
++#if defined(__MACOS__) || defined(__FreeBSD__)
+ #include <cctype>
+ #define NEED_FCVT
+ #endif
diff -ruN /usr/ports/devel/clanlib/files/patch-Sources::GL::GLX::displaycard_glx.cpp clanlib/files/patch-Sources::GL::GLX::displaycard_glx.cpp
--- /usr/ports/devel/clanlib/files/patch-Sources::GL::GLX::displaycard_glx.cpp	Thu Jan  1 01:00:00 1970
+++ clanlib/files/patch-Sources::GL::GLX::displaycard_glx.cpp	Thu Jan 22 14:27:50 2004
@@ -0,0 +1,12 @@
+--- Sources/GL/GLX/displaycard_glx.cpp.orig	Thu Jan 22 14:15:47 2004
++++ Sources/GL/GLX/displaycard_glx.cpp	Thu Jan 22 14:26:58 2004
+@@ -14,6 +14,9 @@
+ 
+ #ifdef USE_OPENGL
+ 
++#define GLX_GLXEXT_PROTOTYPES
++#include <GL/glx.h>
++
+ #include <X11/Xlib.h>
+ #include <X11/Xutil.h>
+ #include <X11/cursorfont.h>
diff -ruN /usr/ports/devel/clanlib/files/patch-Sources::Network::Generic::browse_client_generic.cpp clanlib/files/patch-Sources::Network::Generic::browse_client_generic.cpp
--- /usr/ports/devel/clanlib/files/patch-Sources::Network::Generic::browse_client_generic.cpp	Thu Jan  1 01:00:00 1970
+++ clanlib/files/patch-Sources::Network::Generic::browse_client_generic.cpp	Thu Jan 22 13:31:46 2004
@@ -0,0 +1,10 @@
+--- Sources/Network/Generic/browse_client_generic.cpp.orig	Thu Jan 22 08:20:26 2004
++++ Sources/Network/Generic/browse_client_generic.cpp	Thu Jan 22 08:20:37 2004
+@@ -17,6 +17,7 @@
+ #pragma warning (disable:4355)
+ #include <winsock2.h> // needed for ntohl and ntohs
+ #else
++#include <sys/types.h>
+ #include <netinet/in.h>
+ #endif
+ 
diff -ruN /usr/ports/devel/clanlib/files/patch-Sources::Network::Generic::ip_address.cpp clanlib/files/patch-Sources::Network::Generic::ip_address.cpp
--- /usr/ports/devel/clanlib/files/patch-Sources::Network::Generic::ip_address.cpp	Thu Jan  1 01:00:00 1970
+++ clanlib/files/patch-Sources::Network::Generic::ip_address.cpp	Thu Jan 22 13:32:10 2004
@@ -0,0 +1,10 @@
+--- Sources/Network/Generic/ip_address.cpp.orig	Thu Jan 22 08:22:51 2004
++++ Sources/Network/Generic/ip_address.cpp	Thu Jan 22 08:23:01 2004
+@@ -15,6 +15,7 @@
+ #include "API/Core/System/error.h"
+ 
+ #ifndef WIN32
++	#include <sys/types.h>
+ 	#include <sys/socket.h>
+ 	#include <netinet/in.h>
+ 	#include <arpa/inet.h>
diff -ruN /usr/ports/devel/clanlib/files/patch-Sources::Network::Generic::netcomputer.cpp clanlib/files/patch-Sources::Network::Generic::netcomputer.cpp
--- /usr/ports/devel/clanlib/files/patch-Sources::Network::Generic::netcomputer.cpp	Thu Jan  1 01:00:00 1970
+++ clanlib/files/patch-Sources::Network::Generic::netcomputer.cpp	Thu Jan 22 13:32:30 2004
@@ -0,0 +1,10 @@
+--- Sources/Network/Generic/netcomputer.cpp.orig	Thu Jan 22 08:19:24 2004
++++ Sources/Network/Generic/netcomputer.cpp	Thu Jan 22 08:20:01 2004
+@@ -19,6 +19,7 @@
+ #ifdef WIN32
+ #include <winsock2.h>
+ #else
++#include <sys/types.h>
+ #include <netinet/in.h>
+ #endif
+ 
diff -ruN /usr/ports/devel/clanlib/files/patch-Sources::Network::Generic::socket_generic.h clanlib/files/patch-Sources::Network::Generic::socket_generic.h
--- /usr/ports/devel/clanlib/files/patch-Sources::Network::Generic::socket_generic.h	Thu Jan  1 01:00:00 1970
+++ clanlib/files/patch-Sources::Network::Generic::socket_generic.h	Thu Jan 22 13:32:53 2004
@@ -0,0 +1,10 @@
+--- Sources/Network/Generic/socket_generic.h.orig	Thu Jan 22 08:21:55 2004
++++ Sources/Network/Generic/socket_generic.h	Thu Jan 22 08:22:06 2004
+@@ -21,6 +21,7 @@
+ #include <stack>
+ 
+ #ifndef WIN32
++	#include <sys/types.h>
+ 	#include <sys/socket.h>
+ 	#include <netinet/in.h>
+ 	#include <arpa/inet.h>
diff -ruN /usr/ports/devel/clanlib/files/patch-Sources::SmallJPEG::jpgd::jidctfst.cpp clanlib/files/patch-Sources::SmallJPEG::jpgd::jidctfst.cpp
--- /usr/ports/devel/clanlib/files/patch-Sources::SmallJPEG::jpgd::jidctfst.cpp	Thu Jan  1 01:00:00 1970
+++ clanlib/files/patch-Sources::SmallJPEG::jpgd::jidctfst.cpp	Fri Jan 23 15:47:19 2004
@@ -0,0 +1,8 @@
+--- Sources/SmallJPEG/jpgd/jidctfst.cpp.orig	Fri Jan 23 15:46:14 2004
++++ Sources/SmallJPEG/jpgd/jidctfst.cpp	Fri Jan 23 15:46:25 2004
+@@ -1,4 +1,5 @@
+ #include "jpegdecoder.h"
++#include <inttypes.h>
+ 
+ #ifdef WIN32
+ #pragma warning(push)
diff -ruN /usr/ports/devel/clanlib/files/patch-Sources::Sound::Sound::ClanSound::cdaudio_linux.cpp clanlib/files/patch-Sources::Sound::Sound::ClanSound::cdaudio_linux.cpp
--- /usr/ports/devel/clanlib/files/patch-Sources::Sound::Sound::ClanSound::cdaudio_linux.cpp	Thu Jan  1 01:00:00 1970
+++ clanlib/files/patch-Sources::Sound::Sound::ClanSound::cdaudio_linux.cpp	Thu Jan 22 14:03:37 2004
@@ -0,0 +1,31 @@
+--- Sources/Sound/Sound/ClanSound/cdaudio_linux.cpp.orig	Thu Jan 22 13:48:18 2004
++++ Sources/Sound/Sound/ClanSound/cdaudio_linux.cpp	Thu Jan 22 14:02:41 2004
+@@ -293,7 +293,7 @@
+ {
+ 	#ifdef __FreeBSD__
+ 	ioc_read_subchannel sub_channel; 
+-	cd_sub_channel_header subinfo;
++	cd_sub_channel_info subinfo;
+ 
+ 	sub_channel.data_len = sizeof(subinfo);
+ 	sub_channel.data = &subinfo;	
+@@ -310,7 +310,7 @@
+ #ifdef __FreeBSD__
+ 	if(!ioctl(file_handle,CDIOCREADSUBCHANNEL, &sub_channel))
+ 	{
+-		if(subinfo.audio_status == CD_AS_PLAY_IN_PROGRESS)
++		if(subinfo.header.audio_status == CD_AS_PLAY_IN_PROGRESS)
+ 			return true;
+ 		else
+ 			return false;
+@@ -562,8 +562,8 @@
+ 	        return false;
+ 	    
+ #ifdef __FreeBSD__
+-			track.start_lba = cur_track_info.entry.addr.lba
+-			track.track_length = next_track_info.entry.data_len;
++	    track.start_lba = cur_track_info.entry.addr.lba;
++	    track.track_length = next_track_info.entry.addr.lba - cur_track_info.entry.addr.lba;
+ #else
+ 	    track.start_lba = cur_track_info.cdte_addr.lba;
+ 	    track.track_length = next_track_info.cdte_addr.lba - cur_track_info.cdte_addr.lba;
diff -ruN /usr/ports/devel/clanlib/files/patch-Sources::Sound::Sound::ClanSound::oss.cpp clanlib/files/patch-Sources::Sound::Sound::ClanSound::oss.cpp
--- /usr/ports/devel/clanlib/files/patch-Sources::Sound::Sound::ClanSound::oss.cpp	Thu Jan  1 01:00:00 1970
+++ clanlib/files/patch-Sources::Sound::Sound::ClanSound::oss.cpp	Thu Jan 22 13:33:28 2004
@@ -0,0 +1,17 @@
+--- Sources/Sound/Sound/ClanSound/oss.cpp.orig	Thu Jan 22 13:09:00 2004
++++ Sources/Sound/Sound/ClanSound/oss.cpp	Thu Jan 22 13:10:07 2004
+@@ -28,6 +28,14 @@
+ #include "API/Core/System/system.h"
+ #include <Sound/Sound/ClanSound/oss.h>
+ 
++#ifndef AFMT_S16_NE
++#if defined(BYTE_ORDER) && (BYTE_ORDER == BIG_ENDIAN)
++#define AFMT_S16_NE AFMT_S16_BE
++#else
++#define AFMT_S16_NE AFMT_S16_LE
++#endif
++#endif
++
+ // If USE_DRIVER_FRAGSIZE is defined, we use the fragsize (and number of them)
+ // used by the soundcard driver. This is not as efficient as using our own
+ // settings - mainly provided for debugging.
diff -ruN /usr/ports/devel/clanlib/files/patch-configure clanlib/files/patch-configure
--- /usr/ports/devel/clanlib/files/patch-configure	Wed Sep 24 15:01:39 2003
+++ clanlib/files/patch-configure	Fri Jan 23 15:49:08 2004
@@ -1,10 +1,33 @@
---- configure.orig	Sun Sep  7 22:30:57 2003
-+++ configure	Mon Sep  8 02:32:28 2003
-@@ -18545,6 +18545,7 @@
+--- configure.orig	Sun Nov  3 22:41:57 2002
++++ configure	Fri Jan 23 15:49:01 2004
+@@ -3375,7 +3375,7 @@
+   fi
  
- # This can be used to rebuild libtool when needed
- LIBTOOL_DEPS="$ac_aux_dir/ltmain.sh"
-+$ac_aux_dir/ltconfig $LIBTOOL_DEPS
+   OLDLIBS="$LIBS"
+-  LIBS="$x_libraries -lGL -lGLU -lpthread -lGL"
++  LIBS="$x_libraries -lGL -lGLU -lGL"
+   echo "$as_me:$LINENO: checking for GL" >&5
+ echo $ECHO_N "checking for GL... $ECHO_C" >&6
+   if test "$cross_compiling" = yes; then
+@@ -5268,18 +5268,18 @@
+   enableval="$enable_debug"
+ 
+   if test "$enableval" == "yes"; then
+-    comp_mode="-DDEBUG=1 -g3 -ggdb3 -O0"
++    comp_mode=
+     echo "$as_me:$LINENO: result: enabled" >&5
+ echo "${ECHO_T}enabled" >&6
+   else
+-    comp_mode="-O2"
++    comp_mode=
+     echo "$as_me:$LINENO: result: *********** <-- DISABLED --> ***********" >&5
+ echo "${ECHO_T}*********** <-- DISABLED --> ***********" >&6
+   fi
+ 
+ else
+ 
+-  comp_mode="-DDEBUG=1 -g3 -ggdb3"
++  comp_mode=
+   echo "$as_me:$LINENO: result: enabled" >&5
+ echo "${ECHO_T}enabled" >&6
  
- # Always use our own libtool.
- LIBTOOL='$(SHELL) $(top_builddir)/libtool'
diff -ruN /usr/ports/devel/clanlib/files/patch-inputbox.cpp clanlib/files/patch-inputbox.cpp
--- /usr/ports/devel/clanlib/files/patch-inputbox.cpp	Fri Oct 24 17:17:18 2003
+++ clanlib/files/patch-inputbox.cpp	Thu Jan  1 01:00:00 1970
@@ -1,10 +0,0 @@
---- Sources/GUI/inputbox.cpp.orig	Tue Oct 21 03:51:39 2003
-+++ Sources/GUI/inputbox.cpp	Tue Oct 21 04:05:08 2003
-@@ -21,6 +21,7 @@
- */
- 
- #include "precomp.h"
-+#include <cstdio>
- #include "API/Core/XML/dom_element.h"
- #include "API/GUI/inputbox.h"
- #include "API/GUI/stylemanager.h"
diff -ruN /usr/ports/devel/clanlib/files/patch-mutex_pthread.cpp clanlib/files/patch-mutex_pthread.cpp
--- /usr/ports/devel/clanlib/files/patch-mutex_pthread.cpp	Wed Sep 24 15:01:39 2003
+++ clanlib/files/patch-mutex_pthread.cpp	Thu Jan  1 01:00:00 1970
@@ -1,23 +0,0 @@
---- Sources/Core/System/Unix/mutex_pthread.cpp.orig	Sat Sep  6 05:33:06 2003
-+++ Sources/Core/System/Unix/mutex_pthread.cpp	Mon Sep  8 05:08:56 2003
-@@ -32,11 +32,7 @@
- // suck:
- extern "C"
- {
--#ifdef __FreeBSD__
--	int pthread_mutexattr_settype(pthread_mutexattr_t *attr, int kind);
--#else
- 	int pthread_mutexattr_setkind_np(pthread_mutexattr_t *attr, int kind);
--#endif
- }
- 
- CL_Mutex *CL_Mutex::create()
-@@ -59,7 +55,7 @@
- #  define PTHREAD_MUTEX_RECURSIVE_NP
- #endif
- 
--#ifdef PTHREAD_MUTEX_RECURSIVE_NP
-+#ifndef PTHREAD_MUTEX_RECURSIVE_NP
- // FreeBSD & cygwin
- 	pthread_mutexattr_setkind_np(&attr, PTHREAD_MUTEX_RECURSIVE);
- #else
diff -ruN /usr/ports/devel/clanlib/files/patch-socket.cpp clanlib/files/patch-socket.cpp
--- /usr/ports/devel/clanlib/files/patch-socket.cpp	Wed Sep 24 15:01:39 2003
+++ clanlib/files/patch-socket.cpp	Thu Jan  1 01:00:00 1970
@@ -1,11 +0,0 @@
---- Sources/Network/Socket/socket.cpp.orig	Thu Sep 11 18:42:36 2003
-+++ Sources/Network/Socket/socket.cpp	Sat Sep 20 12:15:04 2003
-@@ -25,6 +25,8 @@
- #else
- #include <unistd.h>
- #include <fcntl.h>
-+#include <sys/types.h>
-+#include <sys/socket.h>
- #include <netinet/tcp.h>
- #include <net/if.h>    // needed for struct ifreq and struct ifconf
- #include <sys/ioctl.h> // needed for ioctl ( on linux and bsd )
diff -ruN /usr/ports/devel/clanlib/files/patch-soundoutput_oss.cpp clanlib/files/patch-soundoutput_oss.cpp
--- /usr/ports/devel/clanlib/files/patch-soundoutput_oss.cpp	Wed Sep 24 15:01:39 2003
+++ clanlib/files/patch-soundoutput_oss.cpp	Thu Jan  1 01:00:00 1970
@@ -1,17 +0,0 @@
---- Sources/Sound/Unix/soundoutput_oss.cpp.orig	Fri Aug 22 19:32:54 2003
-+++ Sources/Sound/Unix/soundoutput_oss.cpp	Mon Sep  8 01:45:46 2003
-@@ -34,6 +34,14 @@
- #include <sys/select.h>
- #endif
- 
-+#if !defined(AFMT_S16_NE)
-+#if defined(BYTE_ORDER) && (BYTE_ORDER == BIG_ENDIAN)
-+#define AFMT_S16_NE AFMT_S16_BE
-+#else
-+#define AFMT_S16_NE AFMT_S16_LE
-+#endif
-+#endif
-+
- /////////////////////////////////////////////////////////////////////////////
- // CL_SoundOutput_OSS construction:
- 
diff -ruN /usr/ports/devel/clanlib/files/patch-soundprovider_recorder_oss.cpp clanlib/files/patch-soundprovider_recorder_oss.cpp
--- /usr/ports/devel/clanlib/files/patch-soundprovider_recorder_oss.cpp	Fri Oct 24 17:17:18 2003
+++ clanlib/files/patch-soundprovider_recorder_oss.cpp	Thu Jan  1 01:00:00 1970
@@ -1,16 +0,0 @@
---- Sources/Sound/SoundProviders/Unix/soundprovider_recorder_oss.cpp.orig	Tue Sep 23 07:15:13 2003
-+++ Sources/Sound/SoundProviders/Unix/soundprovider_recorder_oss.cpp	Tue Oct 21 02:52:21 2003
-@@ -34,6 +34,13 @@
- #include <sys/select.h>
- #endif
- 
-+#if !defined(AFMT_S16_NE)
-+#if defined(BYTE_ORDER) && (BYTE_ORDER == BIG_ENDIAN)
-+#define AFMT_S16_NE AFMT_S16_BE
-+#else
-+#define AFMT_S16_NE AFMT_S16_LE
-+#endif
-+#endif
- 
- /////////////////////////////////////////////////////////////////////////////
- // CL_SoundProvider_Recorder_OSS_Session construction:
diff -ruN /usr/ports/devel/clanlib/files/patch-thread_pthread.cpp clanlib/files/patch-thread_pthread.cpp
--- /usr/ports/devel/clanlib/files/patch-thread_pthread.cpp	Fri Oct 24 17:17:18 2003
+++ clanlib/files/patch-thread_pthread.cpp	Thu Jan  1 01:00:00 1970
@@ -1,9 +0,0 @@
---- Sources/Core/System/Unix/thread_pthread.cpp.orig	Thu Oct  9 02:43:49 2003
-+++ Sources/Core/System/Unix/thread_pthread.cpp	Tue Oct 21 01:22:12 2003
-@@ -158,5 +158,5 @@
- 
- int CL_Thread::get_current_id()
- {
--	return pthread_self();
-+	return (int)pthread_self();
- }
diff -ruN /usr/ports/devel/clanlib/pkg-plist clanlib/pkg-plist
--- /usr/ports/devel/clanlib/pkg-plist	Sat Oct 25 07:08:03 2003
+++ clanlib/pkg-plist	Fri Jan 23 15:59:55 2004
@@ -1,362 +1,559 @@
-include/ClanLib-0.7/ClanLib/Application/clanapp.h
-include/ClanLib-0.7/ClanLib/Core/IOData/cl_endian.h
-include/ClanLib-0.7/ClanLib/Core/IOData/datatypes.h
-include/ClanLib-0.7/ClanLib/Core/IOData/directory.h
-include/ClanLib-0.7/ClanLib/Core/IOData/directory_scanner.h
-include/ClanLib-0.7/ClanLib/Core/IOData/inputsource.h
-include/ClanLib-0.7/ClanLib/Core/IOData/inputsource_file.h
-include/ClanLib-0.7/ClanLib/Core/IOData/inputsource_memory.h
-include/ClanLib-0.7/ClanLib/Core/IOData/inputsource_provider.h
-include/ClanLib-0.7/ClanLib/Core/IOData/inputsource_provider_file.h
-include/ClanLib-0.7/ClanLib/Core/IOData/inputsource_zipped.h
-include/ClanLib-0.7/ClanLib/Core/IOData/outputsource.h
-include/ClanLib-0.7/ClanLib/Core/IOData/outputsource_file.h
-include/ClanLib-0.7/ClanLib/Core/IOData/outputsource_memory.h
-include/ClanLib-0.7/ClanLib/Core/IOData/outputsource_provider.h
-include/ClanLib-0.7/ClanLib/Core/IOData/outputsource_zipped.h
-include/ClanLib-0.7/ClanLib/Core/IOData/zip_archive.h
-include/ClanLib-0.7/ClanLib/Core/IOData/zip_file_entry.h
-include/ClanLib-0.7/ClanLib/Core/Math/cl_vector.h
-include/ClanLib-0.7/ClanLib/Core/Math/math.h
-include/ClanLib-0.7/ClanLib/Core/Math/origin.h
-include/ClanLib-0.7/ClanLib/Core/Math/point.h
-include/ClanLib-0.7/ClanLib/Core/Math/rect.h
-include/ClanLib-0.7/ClanLib/Core/Math/size.h
-include/ClanLib-0.7/ClanLib/Core/Math/vector2.h
-include/ClanLib-0.7/ClanLib/Core/Math/vector2.inl
-include/ClanLib-0.7/ClanLib/Core/Resources/resource.h
-include/ClanLib-0.7/ClanLib/Core/Resources/resource_manager.h
-include/ClanLib-0.7/ClanLib/Core/Resources/resourcedata.h
-include/ClanLib-0.7/ClanLib/Core/Resources/resourcetype_boolean.h
-include/ClanLib-0.7/ClanLib/Core/Resources/resourcetype_integer.h
-include/ClanLib-0.7/ClanLib/Core/Resources/resourcetype_raw.h
-include/ClanLib-0.7/ClanLib/Core/Resources/resourcetype_string.h
-include/ClanLib-0.7/ClanLib/Core/System/call_stack.h
-include/ClanLib-0.7/ClanLib/Core/System/cl_assert.h
-include/ClanLib-0.7/ClanLib/Core/System/cl_library.h
-include/ClanLib-0.7/ClanLib/Core/System/clanstring.h
-include/ClanLib-0.7/ClanLib/Core/System/clonable.h
-include/ClanLib-0.7/ClanLib/Core/System/command_line.h
-include/ClanLib-0.7/ClanLib/Core/System/console_window.h
-include/ClanLib-0.7/ClanLib/Core/System/crash_reporter.h
-include/ClanLib-0.7/ClanLib/Core/System/error.h
-include/ClanLib-0.7/ClanLib/Core/System/event_listener.h
-include/ClanLib-0.7/ClanLib/Core/System/event_trigger.h
-include/ClanLib-0.7/ClanLib/Core/System/keep_alive.h
-include/ClanLib-0.7/ClanLib/Core/System/lazycopyptr.h
-include/ClanLib-0.7/ClanLib/Core/System/log.h
-include/ClanLib-0.7/ClanLib/Core/System/mutex.h
-include/ClanLib-0.7/ClanLib/Core/System/owningptr.h
-include/ClanLib-0.7/ClanLib/Core/System/setupcore.h
-include/ClanLib-0.7/ClanLib/Core/System/sharedptr.h
-include/ClanLib-0.7/ClanLib/Core/System/system.h
-include/ClanLib-0.7/ClanLib/Core/System/thread.h
-include/ClanLib-0.7/ClanLib/Core/System/threadfunc_v0.h
-include/ClanLib-0.7/ClanLib/Core/System/threadfunc_v1.h
-include/ClanLib-0.7/ClanLib/Core/System/threadfunc_v2.h
-include/ClanLib-0.7/ClanLib/Core/System/timer.h
-include/ClanLib-0.7/ClanLib/Core/XML/dom_attr.h
-include/ClanLib-0.7/ClanLib/Core/XML/dom_cdata_section.h
-include/ClanLib-0.7/ClanLib/Core/XML/dom_character_data.h
-include/ClanLib-0.7/ClanLib/Core/XML/dom_comment.h
-include/ClanLib-0.7/ClanLib/Core/XML/dom_document.h
-include/ClanLib-0.7/ClanLib/Core/XML/dom_document_fragment.h
-include/ClanLib-0.7/ClanLib/Core/XML/dom_document_type.h
-include/ClanLib-0.7/ClanLib/Core/XML/dom_element.h
-include/ClanLib-0.7/ClanLib/Core/XML/dom_entity.h
-include/ClanLib-0.7/ClanLib/Core/XML/dom_entity_reference.h
-include/ClanLib-0.7/ClanLib/Core/XML/dom_exception.h
-include/ClanLib-0.7/ClanLib/Core/XML/dom_implementation.h
-include/ClanLib-0.7/ClanLib/Core/XML/dom_named_node_map.h
-include/ClanLib-0.7/ClanLib/Core/XML/dom_node.h
-include/ClanLib-0.7/ClanLib/Core/XML/dom_node_list.h
-include/ClanLib-0.7/ClanLib/Core/XML/dom_notation.h
-include/ClanLib-0.7/ClanLib/Core/XML/dom_processing_instruction.h
-include/ClanLib-0.7/ClanLib/Core/XML/dom_text.h
-include/ClanLib-0.7/ClanLib/Core/XML/xml_token.h
-include/ClanLib-0.7/ClanLib/Core/XML/xml_tokenizer.h
-include/ClanLib-0.7/ClanLib/Core/XML/xml_writer.h
-include/ClanLib-0.7/ClanLib/Display/Providers/dc_buffer.h
-include/ClanLib-0.7/ClanLib/Display/Providers/jpeg_provider.h
-include/ClanLib-0.7/ClanLib/Display/Providers/pcx_provider.h
-include/ClanLib-0.7/ClanLib/Display/Providers/png_provider.h
-include/ClanLib-0.7/ClanLib/Display/Providers/provider_factory.h
-include/ClanLib-0.7/ClanLib/Display/Providers/provider_type.h
-include/ClanLib-0.7/ClanLib/Display/Providers/provider_type_register.h
-include/ClanLib-0.7/ClanLib/Display/Providers/targa_provider.h
-include/ClanLib-0.7/ClanLib/Display/blend_func.h
-include/ClanLib-0.7/ClanLib/Display/color.h
-include/ClanLib-0.7/ClanLib/Display/display.h
-include/ClanLib-0.7/ClanLib/Display/display_mode.h
-include/ClanLib-0.7/ClanLib/Display/display_window.h
-include/ClanLib-0.7/ClanLib/Display/display_window_description.h
-include/ClanLib-0.7/ClanLib/Display/font.h
-include/ClanLib-0.7/ClanLib/Display/frameratecounter.h
-include/ClanLib-0.7/ClanLib/Display/glyph_buffer.h
-include/ClanLib-0.7/ClanLib/Display/gradient.h
-include/ClanLib-0.7/ClanLib/Display/graphic_context.h
-include/ClanLib-0.7/ClanLib/Display/input_buffer.h
-include/ClanLib-0.7/ClanLib/Display/input_button.h
-include/ClanLib-0.7/ClanLib/Display/input_context.h
-include/ClanLib-0.7/ClanLib/Display/input_device.h
-include/ClanLib-0.7/ClanLib/Display/input_event.h
-include/ClanLib-0.7/ClanLib/Display/joystick.h
-include/ClanLib-0.7/ClanLib/Display/key_binding.h
-include/ClanLib-0.7/ClanLib/Display/keyboard.h
-include/ClanLib-0.7/ClanLib/Display/keys.h
-include/ClanLib-0.7/ClanLib/Display/mouse.h
-include/ClanLib-0.7/ClanLib/Display/palette.h
-include/ClanLib-0.7/ClanLib/Display/pixel_buffer.h
-include/ClanLib-0.7/ClanLib/Display/pixel_format.h
-include/ClanLib-0.7/ClanLib/Display/rle_surface.h
-include/ClanLib-0.7/ClanLib/Display/setupdisplay.h
-include/ClanLib-0.7/ClanLib/Display/sprite.h
-include/ClanLib-0.7/ClanLib/Display/sprite_description.h
-include/ClanLib-0.7/ClanLib/Display/sprite_packer.h
-include/ClanLib-0.7/ClanLib/Display/surface.h
-include/ClanLib-0.7/ClanLib/Display/text_styler.h
-%%OPENGL%%include/ClanLib-0.7/ClanLib/GL/opengl.h
-%%OPENGL%%include/ClanLib-0.7/ClanLib/GL/opengl_surface.h
-%%OPENGL%%include/ClanLib-0.7/ClanLib/GL/opengl_window.h
-%%OPENGL%%include/ClanLib-0.7/ClanLib/GL/setupgl.h
-include/ClanLib-0.7/ClanLib/GUI/button.h
-include/ClanLib-0.7/ClanLib/GUI/checkbox.h
-include/ClanLib-0.7/ClanLib/GUI/component.h
-include/ClanLib-0.7/ClanLib/GUI/component_manager.h
-include/ClanLib-0.7/ClanLib/GUI/component_move_handler.h
-include/ClanLib-0.7/ClanLib/GUI/component_resize_handler.h
-include/ClanLib-0.7/ClanLib/GUI/component_style.h
-include/ClanLib-0.7/ClanLib/GUI/component_type.h
-include/ClanLib-0.7/ClanLib/GUI/filedialog.h
-include/ClanLib-0.7/ClanLib/GUI/frame.h
-include/ClanLib-0.7/ClanLib/GUI/gui_manager.h
-include/ClanLib-0.7/ClanLib/GUI/image.h
-include/ClanLib-0.7/ClanLib/GUI/inputbox.h
-include/ClanLib-0.7/ClanLib/GUI/inputdialog.h
-include/ClanLib-0.7/ClanLib/GUI/label.h
-include/ClanLib-0.7/ClanLib/GUI/listbox.h
-include/ClanLib-0.7/ClanLib/GUI/listitem.h
-include/ClanLib-0.7/ClanLib/GUI/menudata.h
-include/ClanLib-0.7/ClanLib/GUI/menunode.h
-include/ClanLib-0.7/ClanLib/GUI/messagebox.h
-include/ClanLib-0.7/ClanLib/GUI/popupmenu.h
-include/ClanLib-0.7/ClanLib/GUI/progressbar.h
-include/ClanLib-0.7/ClanLib/GUI/radiobutton.h
-include/ClanLib-0.7/ClanLib/GUI/radiogroup.h
-include/ClanLib-0.7/ClanLib/GUI/scrollbar.h
-include/ClanLib-0.7/ClanLib/GUI/setupgui.h
-include/ClanLib-0.7/ClanLib/GUI/stylemanager.h
-include/ClanLib-0.7/ClanLib/GUI/treeitem.h
-include/ClanLib-0.7/ClanLib/GUI/treenode.h
-include/ClanLib-0.7/ClanLib/GUI/treeview.h
-include/ClanLib-0.7/ClanLib/GUI/window.h
-include/ClanLib-0.7/ClanLib/GUIStyleBoring/button_boring.h
-include/ClanLib-0.7/ClanLib/GUIStyleBoring/checkbox_boring.h
-include/ClanLib-0.7/ClanLib/GUIStyleBoring/frame_boring.h
-include/ClanLib-0.7/ClanLib/GUIStyleBoring/image_boring.h
-include/ClanLib-0.7/ClanLib/GUIStyleBoring/inputbox_boring.h
-include/ClanLib-0.7/ClanLib/GUIStyleBoring/label_boring.h
-include/ClanLib-0.7/ClanLib/GUIStyleBoring/listbox_boring.h
-include/ClanLib-0.7/ClanLib/GUIStyleBoring/progressbar_boring.h
-include/ClanLib-0.7/ClanLib/GUIStyleBoring/radiobutton_boring.h
-include/ClanLib-0.7/ClanLib/GUIStyleBoring/scrollbar_boring.h
-include/ClanLib-0.7/ClanLib/GUIStyleBoring/stylemanager_boring.h
-include/ClanLib-0.7/ClanLib/GUIStyleBoring/window_boring.h
-include/ClanLib-0.7/ClanLib/GUIStyleSilver/button_silver.h
-include/ClanLib-0.7/ClanLib/GUIStyleSilver/checkbox_silver.h
-include/ClanLib-0.7/ClanLib/GUIStyleSilver/frame_silver.h
-include/ClanLib-0.7/ClanLib/GUIStyleSilver/image_silver.h
-include/ClanLib-0.7/ClanLib/GUIStyleSilver/inputbox_silver.h
-include/ClanLib-0.7/ClanLib/GUIStyleSilver/label_silver.h
-include/ClanLib-0.7/ClanLib/GUIStyleSilver/listbox_silver.h
-include/ClanLib-0.7/ClanLib/GUIStyleSilver/progressbar_silver.h
-include/ClanLib-0.7/ClanLib/GUIStyleSilver/radiobutton_silver.h
-include/ClanLib-0.7/ClanLib/GUIStyleSilver/scrollbar_silver.h
-include/ClanLib-0.7/ClanLib/GUIStyleSilver/stylemanager_silver.h
-include/ClanLib-0.7/ClanLib/GUIStyleSilver/window_silver.h
-%%LIBMIKMOD%%include/ClanLib-0.7/ClanLib/MikMod/setupmikmod.h
-%%LIBMIKMOD%%include/ClanLib-0.7/ClanLib/MikMod/soundprovider_mikmod.h
-include/ClanLib-0.7/ClanLib/Network/Browse/browse_client.h
-include/ClanLib-0.7/ClanLib/Network/Browse/browse_master.h
-include/ClanLib-0.7/ClanLib/Network/Browse/browse_server.h
-include/ClanLib-0.7/ClanLib/Network/IRC/dcc_download.h
-include/ClanLib-0.7/ClanLib/Network/IRC/irc_connection.h
-include/ClanLib-0.7/ClanLib/Network/IRC/irc_numerics.h
-include/ClanLib-0.7/ClanLib/Network/NetObjects/netobject_client.h
-include/ClanLib-0.7/ClanLib/Network/NetObjects/netobject_controller.h
-include/ClanLib-0.7/ClanLib/Network/NetObjects/netobject_server.h
-include/ClanLib-0.7/ClanLib/Network/NetSession/inputsource_netpacket.h
-include/ClanLib-0.7/ClanLib/Network/NetSession/inputsource_netstream.h
-include/ClanLib-0.7/ClanLib/Network/NetSession/netcomputer.h
-include/ClanLib-0.7/ClanLib/Network/NetSession/netgroup.h
-include/ClanLib-0.7/ClanLib/Network/NetSession/netpacket.h
-include/ClanLib-0.7/ClanLib/Network/NetSession/netsession.h
-include/ClanLib-0.7/ClanLib/Network/NetSession/netstream.h
-include/ClanLib-0.7/ClanLib/Network/NetSession/outputsource_netpacket.h
-include/ClanLib-0.7/ClanLib/Network/NetSession/outputsource_netstream.h
-include/ClanLib-0.7/ClanLib/Network/NetVariables/netvariables.h
-include/ClanLib-0.7/ClanLib/Network/Socket/inputsource_socket.h
-include/ClanLib-0.7/ClanLib/Network/Socket/ip_address.h
-include/ClanLib-0.7/ClanLib/Network/Socket/outputsource_socket.h
-include/ClanLib-0.7/ClanLib/Network/Socket/socket.h
-include/ClanLib-0.7/ClanLib/Network/setupnetwork.h
-%%SDL%%include/ClanLib-0.7/ClanLib/SDL/setupsdl.h
-include/ClanLib-0.7/ClanLib/Signals/signal_v0.h
-include/ClanLib-0.7/ClanLib/Signals/signal_v1.h
-include/ClanLib-0.7/ClanLib/Signals/signal_v2.h
-include/ClanLib-0.7/ClanLib/Signals/signal_v3.h
-include/ClanLib-0.7/ClanLib/Signals/signal_v4.h
-include/ClanLib-0.7/ClanLib/Signals/signal_v5.h
-include/ClanLib-0.7/ClanLib/Signals/slot.h
-include/ClanLib-0.7/ClanLib/Signals/slot_container.h
-include/ClanLib-0.7/ClanLib/Signals/slot_generic.h
-include/ClanLib-0.7/ClanLib/Signals/slot_v0.h
-include/ClanLib-0.7/ClanLib/Signals/slot_v1.h
-include/ClanLib-0.7/ClanLib/Signals/slot_v2.h
-include/ClanLib-0.7/ClanLib/Signals/slot_v3.h
-include/ClanLib-0.7/ClanLib/Signals/slot_v4.h
-include/ClanLib-0.7/ClanLib/Signals/slot_v5.h
-include/ClanLib-0.7/ClanLib/Signals/slotbuffer_v0.h
-include/ClanLib-0.7/ClanLib/Signals/slotbuffer_v1.h
-include/ClanLib-0.7/ClanLib/Sound/SoundFilters/echofilter.h
-include/ClanLib-0.7/ClanLib/Sound/SoundFilters/fadefilter.h
-include/ClanLib-0.7/ClanLib/Sound/SoundFilters/inverse_echofilter.h
-include/ClanLib-0.7/ClanLib/Sound/SoundProviders/soundprovider_factory.h
-include/ClanLib-0.7/ClanLib/Sound/SoundProviders/soundprovider_raw.h
-include/ClanLib-0.7/ClanLib/Sound/SoundProviders/soundprovider_recorder.h
-include/ClanLib-0.7/ClanLib/Sound/SoundProviders/soundprovider_type.h
-include/ClanLib-0.7/ClanLib/Sound/SoundProviders/soundprovider_type_register.h
-include/ClanLib-0.7/ClanLib/Sound/SoundProviders/soundprovider_wave.h
-include/ClanLib-0.7/ClanLib/Sound/cd_drive.h
-include/ClanLib-0.7/ClanLib/Sound/setupsound.h
-include/ClanLib-0.7/ClanLib/Sound/sound.h
-include/ClanLib-0.7/ClanLib/Sound/soundbuffer.h
-include/ClanLib-0.7/ClanLib/Sound/soundbuffer_session.h
-include/ClanLib-0.7/ClanLib/Sound/soundfilter.h
-include/ClanLib-0.7/ClanLib/Sound/soundformat.h
-include/ClanLib-0.7/ClanLib/Sound/soundoutput.h
-include/ClanLib-0.7/ClanLib/Sound/soundoutput_description.h
-include/ClanLib-0.7/ClanLib/Sound/soundprovider.h
-include/ClanLib-0.7/ClanLib/Sound/soundprovider_session.h
-%%LIBVORBIS%%include/ClanLib-0.7/ClanLib/Vorbis/setupvorbis.h
-%%LIBVORBIS%%include/ClanLib-0.7/ClanLib/Vorbis/soundprovider_vorbis.h
-include/ClanLib-0.7/ClanLib/application.h
-include/ClanLib-0.7/ClanLib/core.h
-include/ClanLib-0.7/ClanLib/display.h
-%%OPENGL%%include/ClanLib-0.7/ClanLib/gl.h
-include/ClanLib-0.7/ClanLib/gui.h
-include/ClanLib-0.7/ClanLib/guistyleboring.h
-include/ClanLib-0.7/ClanLib/guistylesilver.h
-%%LIBMIKMOD%%include/ClanLib-0.7/ClanLib/mikmod.h
-include/ClanLib-0.7/ClanLib/network.h
-%%SDL%%include/ClanLib-0.7/ClanLib/sdl.h
-include/ClanLib-0.7/ClanLib/signals.h
-include/ClanLib-0.7/ClanLib/sound.h
-%%LIBVORBIS%%include/ClanLib-0.7/ClanLib/vorbis.h
-lib/libclanApp-0.7.so.0
+bin/clanlib-config
+include/ClanLib/Application/clanapp.h
+include/ClanLib/Core/IOData/cl_endian.h
+include/ClanLib/Core/IOData/directory_scanner.h
+include/ClanLib/Core/IOData/inputsource.h
+include/ClanLib/Core/IOData/inputsource_file.h
+include/ClanLib/Core/IOData/inputsource_memory.h
+include/ClanLib/Core/IOData/inputsource_provider.h
+include/ClanLib/Core/IOData/inputsource_provider_file.h
+include/ClanLib/Core/IOData/inputsource_zipped.h
+include/ClanLib/Core/IOData/outputsource.h
+include/ClanLib/Core/IOData/outputsource_file.h
+include/ClanLib/Core/IOData/outputsource_memory.h
+include/ClanLib/Core/IOData/outputsource_provider.h
+include/ClanLib/Core/IOData/outputsource_zipped.h
+include/ClanLib/Core/Math/bezier.h
+include/ClanLib/Core/Math/cl_vector.h
+include/ClanLib/Core/Math/math.h
+include/ClanLib/Core/Math/point.h
+include/ClanLib/Core/Math/rect.h
+include/ClanLib/Core/Math/size.h
+include/ClanLib/Core/Math/vector2.h
+include/ClanLib/Core/Math/vector2.inl
+include/ClanLib/Core/Resources/datafile_compiler.h
+include/ClanLib/Core/Resources/resource.h
+include/ClanLib/Core/Resources/resource_manager.h
+include/ClanLib/Core/Resources/resourcedata.h
+include/ClanLib/Core/Resources/resourceoption.h
+include/ClanLib/Core/Resources/resourceoptions.h
+include/ClanLib/Core/Resources/resourcetype.h
+include/ClanLib/Core/Resources/resourcetype_boolean.h
+include/ClanLib/Core/Resources/resourcetype_integer.h
+include/ClanLib/Core/Resources/resourcetype_raw.h
+include/ClanLib/Core/Resources/resourcetype_string.h
+include/ClanLib/Core/System/cl_assert.h
+include/ClanLib/Core/System/clanstring.h
+include/ClanLib/Core/System/clanstring.h.orig
+include/ClanLib/Core/System/console_window.h
+include/ClanLib/Core/System/error.h
+include/ClanLib/Core/System/event_listener.h
+include/ClanLib/Core/System/event_trigger.h
+include/ClanLib/Core/System/keep_alive.h
+include/ClanLib/Core/System/mutex.h
+include/ClanLib/Core/System/setupcore.h
+include/ClanLib/Core/System/system.h
+include/ClanLib/Core/System/thread.h
+include/ClanLib/Core/System/threadfunc_v0.h
+include/ClanLib/Core/System/threadfunc_v1.h
+include/ClanLib/Core/System/threadfunc_v2.h
+include/ClanLib/Core/System/timer.h
+include/ClanLib/Display/Display/cliprect.h
+include/ClanLib/Display/Display/display.h
+include/ClanLib/Display/Display/displaycard.h
+include/ClanLib/Display/Display/mousecursor.h
+include/ClanLib/Display/Display/mousecursor_provider.h
+include/ClanLib/Display/Display/palette.h
+include/ClanLib/Display/Display/pixeldata.h
+include/ClanLib/Display/Display/pixelformat.h
+include/ClanLib/Display/Display/res_surface.h
+include/ClanLib/Display/Display/surface.h
+include/ClanLib/Display/Display/surfaceprovider.h
+include/ClanLib/Display/Display/surfaceprovider_32bpp.h
+include/ClanLib/Display/Display/target.h
+include/ClanLib/Display/Display/vidmode.h
+include/ClanLib/Display/Font/font.h
+include/ClanLib/Display/Font/font_description.h
+include/ClanLib/Display/Input/input.h
+include/ClanLib/Display/Input/inputaxis.h
+include/ClanLib/Display/Input/inputaxis_basic.h
+include/ClanLib/Display/Input/inputaxis_group.h
+include/ClanLib/Display/Input/inputbuffer.h
+include/ClanLib/Display/Input/inputbutton.h
+include/ClanLib/Display/Input/inputbutton_basic.h
+include/ClanLib/Display/Input/inputbutton_group.h
+include/ClanLib/Display/Input/inputbutton_to_axis_analog.h
+include/ClanLib/Display/Input/inputbutton_to_axis_digital.h
+include/ClanLib/Display/Input/inputcursor.h
+include/ClanLib/Display/Input/inputdevice.h
+include/ClanLib/Display/Input/inputhat.h
+include/ClanLib/Display/Input/key.h
+include/ClanLib/Display/Input/keyboard.h
+include/ClanLib/Display/Input/mouse.h
+include/ClanLib/Display/SurfaceProviders/canvas.h
+include/ClanLib/Display/SurfaceProviders/generic_surfaceprovider.h
+include/ClanLib/Display/SurfaceProviders/provider_bmp.h
+include/ClanLib/Display/SurfaceProviders/provider_dynamic.h
+include/ClanLib/Display/SurfaceProviders/provider_pcx.h
+include/ClanLib/Display/SurfaceProviders/provider_targa.h
+include/ClanLib/Display/SurfaceProviders/sprite.h
+include/ClanLib/Display/SurfaceProviders/sprite2.h
+include/ClanLib/Display/SurfaceProviders/sprite_subarray_provider.h
+include/ClanLib/Display/SurfaceProviders/sprite_subsection_provider.h
+include/ClanLib/Display/setupdisplay.h
+include/ClanLib/GL/camera.h
+include/ClanLib/GL/clipinfo.h
+include/ClanLib/GL/opengl.h
+include/ClanLib/GL/setupgl.h
+include/ClanLib/GL/texture.h
+include/ClanLib/GL/viewpoint.h
+include/ClanLib/GUI/button.h
+include/ClanLib/GUI/checkbox.h
+include/ClanLib/GUI/component.h
+include/ClanLib/GUI/component_manager.h
+include/ClanLib/GUI/component_move_handler.h
+include/ClanLib/GUI/component_options.h
+include/ClanLib/GUI/component_resize_handler.h
+include/ClanLib/GUI/component_style.h
+include/ClanLib/GUI/component_type.h
+include/ClanLib/GUI/filedialog.h
+include/ClanLib/GUI/frame.h
+include/ClanLib/GUI/gui_file_parser.h
+include/ClanLib/GUI/gui_manager.h
+include/ClanLib/GUI/image.h
+include/ClanLib/GUI/inputbox.h
+include/ClanLib/GUI/label.h
+include/ClanLib/GUI/layout_manager.h
+include/ClanLib/GUI/listbox.h
+include/ClanLib/GUI/listitem.h
+include/ClanLib/GUI/menunode.h
+include/ClanLib/GUI/messagebox.h
+include/ClanLib/GUI/popupmenu.h
+include/ClanLib/GUI/progressbar.h
+include/ClanLib/GUI/radiobutton.h
+include/ClanLib/GUI/radiogroup.h
+include/ClanLib/GUI/scrollbar.h
+include/ClanLib/GUI/setupgui.h
+include/ClanLib/GUI/stylemanager.h
+include/ClanLib/GUI/stylemanager_default.h
+include/ClanLib/GUI/treeitem.h
+include/ClanLib/GUI/treenode.h
+include/ClanLib/GUI/treeview.h
+include/ClanLib/GUI/window.h
+include/ClanLib/JPEG/provider_jpeg.h
+include/ClanLib/MikMod/setupmikmod.h
+include/ClanLib/MikMod/streamed_mikmod_sample.h
+include/ClanLib/Network/browse_client.h
+include/ClanLib/Network/browse_master.h
+include/ClanLib/Network/browse_server.h
+include/ClanLib/Network/buffered_socket.h
+include/ClanLib/Network/inputsource_socket.h
+include/ClanLib/Network/ip_address.h
+include/ClanLib/Network/netcomputer.h
+include/ClanLib/Network/netgroup.h
+include/ClanLib/Network/netmessage.h
+include/ClanLib/Network/netobject.h
+include/ClanLib/Network/netobject_channel.h
+include/ClanLib/Network/netsession.h
+include/ClanLib/Network/netvariables.h
+include/ClanLib/Network/network.h
+include/ClanLib/Network/outputsource_socket.h
+include/ClanLib/Network/setupnetwork.h
+include/ClanLib/Network/socket.h
+include/ClanLib/Network/subchannel.h
+include/ClanLib/Network/world_template.h
+include/ClanLib/PNG/provider_png.h
+include/ClanLib/Signals/signal_v0.h
+include/ClanLib/Signals/signal_v1.h
+include/ClanLib/Signals/signal_v2.h
+include/ClanLib/Signals/signal_v3.h
+include/ClanLib/Signals/signal_v4.h
+include/ClanLib/Signals/signal_v5.h
+include/ClanLib/Signals/slot.h
+include/ClanLib/Signals/slot_container.h
+include/ClanLib/Signals/slot_generic.h
+include/ClanLib/Signals/slot_v0.h
+include/ClanLib/Signals/slot_v1.h
+include/ClanLib/Signals/slot_v2.h
+include/ClanLib/Signals/slot_v3.h
+include/ClanLib/Signals/slot_v4.h
+include/ClanLib/Signals/slot_v5.h
+include/ClanLib/Signals/slotbuffer_v0.h
+include/ClanLib/Signals/slotbuffer_v1.h
+include/ClanLib/SmallJPEG/jpgd_provider.h
+include/ClanLib/Sound/SoundFilters/echofilter.h
+include/ClanLib/Sound/SoundFilters/fadefilter.h
+include/ClanLib/Sound/SoundFilters/inverse_echofilter.h
+include/ClanLib/Sound/SoundProviders/static_provider_raw.h
+include/ClanLib/Sound/SoundProviders/static_provider_wave.h
+include/ClanLib/Sound/SoundProviders/stream_provider_raw.h
+include/ClanLib/Sound/SoundProviders/stream_provider_wave.h
+include/ClanLib/Sound/cd_audio.h
+include/ClanLib/Sound/setupsound.h
+include/ClanLib/Sound/sound.h
+include/ClanLib/Sound/soundbuffer.h
+include/ClanLib/Sound/soundbuffer_session.h
+include/ClanLib/Sound/soundfilter.h
+include/ClanLib/Sound/soundformat.h
+include/ClanLib/Sound/static_soundprovider.h
+include/ClanLib/Sound/stream_soundprovider.h
+include/ClanLib/TTF/setupttf.h
+include/ClanLib/Vorbis/setupvorbis.h
+include/ClanLib/Vorbis/vorbis_soundprovider.h
+include/ClanLib/application.h
+include/ClanLib/core.h
+include/ClanLib/display.h
+include/ClanLib/efence.h
+include/ClanLib/gl.h
+include/ClanLib/gui.h
+include/ClanLib/jpeg.h
+include/ClanLib/mikmod.h
+include/ClanLib/network.h
+include/ClanLib/png.h
+include/ClanLib/signals.h
+include/ClanLib/sound.h
+include/ClanLib/ttf.h
+include/ClanLib/vorbis.h
 lib/libclanApp.a
 lib/libclanApp.so
-lib/libclanCore-0.7.so.0
+lib/libclanApp.so.0.6.3
+lib/libclanApp.so.2
 lib/libclanCore.a
 lib/libclanCore.so
-lib/libclanDisplay-0.7.so.0
+lib/libclanCore.so.0.6.3
+lib/libclanCore.so.2
 lib/libclanDisplay.a
 lib/libclanDisplay.so
-%%OPENGL%%lib/libclanGL-0.7.so.0
-%%OPENGL%%lib/libclanGL.a
-%%OPENGL%%lib/libclanGL.so
-lib/libclanGUI-0.7.so.0
+lib/libclanDisplay.so.0.6.3
+lib/libclanDisplay.so.2
+lib/libclanGL.a
+lib/libclanGL.so
+lib/libclanGL.so.0.6.3
+lib/libclanGL.so.2
 lib/libclanGUI.a
 lib/libclanGUI.so
-lib/libclanGUIStyleBoring-0.7.so.0
-lib/libclanGUIStyleBoring.a
-lib/libclanGUIStyleBoring.so
-lib/libclanGUIStyleSilver-0.7.so.0
-lib/libclanGUIStyleSilver.a
-lib/libclanGUIStyleSilver.so
-%%LIBMIKMOD%%lib/libclanMikMod-0.7.so.0
-%%LIBMIKMOD%%lib/libclanMikMod.a
-%%LIBMIKMOD%%lib/libclanMikMod.so
-lib/libclanNetwork-0.7.so.0
+lib/libclanGUI.so.0.6.3
+lib/libclanGUI.so.2
+lib/libclanJPEG.a
+lib/libclanJPEG.so
+lib/libclanJPEG.so.0.6.3
+lib/libclanJPEG.so.2
+lib/libclanMikMod.a
+lib/libclanMikMod.so
+lib/libclanMikMod.so.0.6.3
+lib/libclanMikMod.so.2
 lib/libclanNetwork.a
 lib/libclanNetwork.so
-%%SDL%%lib/libclanSDL-0.7.so.0
-%%SDL%%lib/libclanSDL.a
-%%SDL%%lib/libclanSDL.so
-lib/libclanSignals-0.7.so.0
-lib/libclanSignals.a
-lib/libclanSignals.so
-lib/libclanSound-0.7.so.0
+lib/libclanNetwork.so.0.6.3
+lib/libclanNetwork.so.2
+lib/libclanPNG.a
+lib/libclanPNG.so
+lib/libclanPNG.so.0.6.3
+lib/libclanPNG.so.2
+lib/libclanSmallJPEG.a
+lib/libclanSmallJPEG.so
+lib/libclanSmallJPEG.so.0.6.3
+lib/libclanSmallJPEG.so.2
 lib/libclanSound.a
 lib/libclanSound.so
-%%LIBVORBIS%%lib/libclanVorbis-0.7.so.0
-%%LIBVORBIS%%lib/libclanVorbis.a
-%%LIBVORBIS%%lib/libclanVorbis.so
-libdata/pkgconfig/clanApp-0.7.pc
-libdata/pkgconfig/clanCore-0.7.pc
-libdata/pkgconfig/clanDisplay-0.7.pc
-%%OPENGL%%libdata/pkgconfig/clanGL-0.7.pc
-libdata/pkgconfig/clanGUI-0.7.pc
-libdata/pkgconfig/clanGUIStyleBoring-0.7.pc
-libdata/pkgconfig/clanGUIStyleSilver-0.7.pc
-%%LIBMIKMOD%%libdata/pkgconfig/clanMikMod-0.7.pc
-libdata/pkgconfig/clanNetwork-0.7.pc
-%%SDL%%libdata/pkgconfig/clanSDL-0.7.pc
-libdata/pkgconfig/clanSound-0.7.pc
-%%LIBVORBIS%%libdata/pkgconfig/clanVorbis-0.7.pc
-share/doc/clanlib/Tutorial/Quickflash/index.html
-share/doc/clanlib/Tutorial/Quickflash/tutorial1.html
-share/doc/clanlib/Tutorial/Quickflash/tutorial2.html
-share/doc/clanlib/Tutorial/Quickflash/tutorial3.html
-share/doc/clanlib/Tutorial/TicTacToe/clanlib-tutorial-part2.zip
-share/doc/clanlib/Tutorial/TicTacToe/clanlib-tutorial-part3.zip
-share/doc/clanlib/Tutorial/TicTacToe/clanlib-tutorial-workspace.zip
-share/doc/clanlib/Tutorial/TicTacToe/figure1.png
-share/doc/clanlib/Tutorial/TicTacToe/figure10.png
-share/doc/clanlib/Tutorial/TicTacToe/figure2.png
-share/doc/clanlib/Tutorial/TicTacToe/figure3.png
-share/doc/clanlib/Tutorial/TicTacToe/figure8.png
-share/doc/clanlib/Tutorial/TicTacToe/figure9.png
-share/doc/clanlib/Tutorial/TicTacToe/figure_board.png
-share/doc/clanlib/Tutorial/TicTacToe/figure_circle.png
-share/doc/clanlib/Tutorial/TicTacToe/figure_cross.png
-share/doc/clanlib/Tutorial/TicTacToe/figure_menu.png
-share/doc/clanlib/Tutorial/TicTacToe/index.html
-share/doc/clanlib/Tutorial/TicTacToe/part-1.html
-share/doc/clanlib/Tutorial/TicTacToe/part-2.html
-share/doc/clanlib/Tutorial/TicTacToe/part-3.html
-share/doc/clanlib/Tutorial/TicTacToe/tictactoe.zip
-share/doc/clanlib/Tutorial/index.html
-@dirrm share/doc/clanlib/Tutorial/TicTacToe
-@dirrm share/doc/clanlib/Tutorial/Quickflash
-@dirrm share/doc/clanlib/Tutorial
-@dirrm share/doc/clanlib
-%%LIBVORBIS%%@dirrm include/ClanLib-0.7/ClanLib/Vorbis
-@dirrm include/ClanLib-0.7/ClanLib/Sound/SoundProviders
-@dirrm include/ClanLib-0.7/ClanLib/Sound/SoundFilters
-@dirrm include/ClanLib-0.7/ClanLib/Sound
-@dirrm include/ClanLib-0.7/ClanLib/Signals
-%%SDL%%@dirrm include/ClanLib-0.7/ClanLib/SDL
-@dirrm include/ClanLib-0.7/ClanLib/Network/Socket
-@dirrm include/ClanLib-0.7/ClanLib/Network/NetVariables
-@dirrm include/ClanLib-0.7/ClanLib/Network/NetSession
-@dirrm include/ClanLib-0.7/ClanLib/Network/NetObjects
-@dirrm include/ClanLib-0.7/ClanLib/Network/IRC
-@dirrm include/ClanLib-0.7/ClanLib/Network/Browse
-@dirrm include/ClanLib-0.7/ClanLib/Network
-%%LIBMIKMOD%%@dirrm include/ClanLib-0.7/ClanLib/MikMod
-@dirrm include/ClanLib-0.7/ClanLib/GUIStyleSilver
-@dirrm include/ClanLib-0.7/ClanLib/GUIStyleBoring
-@dirrm include/ClanLib-0.7/ClanLib/GUI
-%%OPENGL%%@dirrm include/ClanLib-0.7/ClanLib/GL
-@dirrm include/ClanLib-0.7/ClanLib/Display/Providers
-@dirrm include/ClanLib-0.7/ClanLib/Display
-@dirrm include/ClanLib-0.7/ClanLib/Core/XML
-@dirrm include/ClanLib-0.7/ClanLib/Core/System
-@dirrm include/ClanLib-0.7/ClanLib/Core/Resources
-@dirrm include/ClanLib-0.7/ClanLib/Core/Math
-@dirrm include/ClanLib-0.7/ClanLib/Core/IOData
-@dirrm include/ClanLib-0.7/ClanLib/Core
-@dirrm include/ClanLib-0.7/ClanLib/Application
-@dirrm include/ClanLib-0.7/ClanLib
-@dirrm include/ClanLib-0.7
+lib/libclanSound.so.0.6.3
+lib/libclanSound.so.2
+lib/libclanTTF.a
+lib/libclanTTF.so
+lib/libclanTTF.so.0.6.3
+lib/libclanTTF.so.2
+lib/libclanVorbis.a
+lib/libclanVorbis.so
+lib/libclanVorbis.so.0.6.3
+lib/libclanVorbis.so.2
+@dirrm include/ClanLib/Application
+@dirrm include/ClanLib/Core/IOData
+@dirrm include/ClanLib/Core/Math
+@dirrm include/ClanLib/Core/Resources
+@dirrm include/ClanLib/Core/System
+@dirrm include/ClanLib/Core
+@dirrm include/ClanLib/Display/Display
+@dirrm include/ClanLib/Display/Font
+@dirrm include/ClanLib/Display/Input
+@dirrm include/ClanLib/Display/SurfaceProviders
+@dirrm include/ClanLib/Display
+@dirrm include/ClanLib/GL
+@dirrm include/ClanLib/GUI
+@dirrm include/ClanLib/JPEG
+@dirrm include/ClanLib/MikMod
+@dirrm include/ClanLib/Network
+@dirrm include/ClanLib/PNG
+@dirrm include/ClanLib/Signals
+@dirrm include/ClanLib/SmallJPEG
+@dirrm include/ClanLib/Sound/SoundFilters
+@dirrm include/ClanLib/Sound/SoundProviders
+@dirrm include/ClanLib/Sound
+@dirrm include/ClanLib/TTF
+@dirrm include/ClanLib/Vorbis
+@dirrm include/ClanLib
+%%PORTDOCS%%share/doc/clanlib/FAQ.html
+%%PORTDOCS%%share/doc/clanlib/Images/clanlib_logo_small.gif
+%%PORTDOCS%%share/doc/clanlib/Overview/2dapi.html
+%%PORTDOCS%%share/doc/clanlib/Overview/Images/clanlib_logo_small.gif
+%%PORTDOCS%%share/doc/clanlib/Overview/Images/font0.png
+%%PORTDOCS%%share/doc/clanlib/Overview/Images/font1.png
+%%PORTDOCS%%share/doc/clanlib/Overview/Images/font2.png
+%%PORTDOCS%%share/doc/clanlib/Overview/Images/font3.png
+%%PORTDOCS%%share/doc/clanlib/Overview/Images/font4.png
+%%PORTDOCS%%share/doc/clanlib/Overview/Images/font5.png
+%%PORTDOCS%%share/doc/clanlib/Overview/Images/font6.png
+%%PORTDOCS%%share/doc/clanlib/Overview/Images/font_old0.png
+%%PORTDOCS%%share/doc/clanlib/Overview/engine_design.html
+%%PORTDOCS%%share/doc/clanlib/Overview/font_creation_new.html
+%%PORTDOCS%%share/doc/clanlib/Overview/font_creation_old.html
+%%PORTDOCS%%share/doc/clanlib/Overview/font_overview.html
+%%PORTDOCS%%share/doc/clanlib/Overview/getting_started.html
+%%PORTDOCS%%share/doc/clanlib/Overview/gui_overview.html
+%%PORTDOCS%%share/doc/clanlib/Overview/index.html
+%%PORTDOCS%%share/doc/clanlib/Overview/loading_graphics.html
+%%PORTDOCS%%share/doc/clanlib/Overview/network_overview.html
+%%PORTDOCS%%share/doc/clanlib/Overview/opengl_overview.html
+%%PORTDOCS%%share/doc/clanlib/Overview/resource_overview.html
+%%PORTDOCS%%share/doc/clanlib/Overview/signals.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/App_index.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_Assert.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_AssertListener.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_BMPProvider.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_BezierCurve.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_BezierSurface.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_Boolean.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_BrowseClient.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_BrowseMaster.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_BrowseServer.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_BufferedSocket.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_Button.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_CDAudio.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_CDDrive.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_Camera.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_Canvas.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_CheckBox.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_ClanApplication.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_ClipInfo.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_ClipRect.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_Color.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_Component.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_ComponentManager.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_ComponentMoveHandler.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_ComponentOptions.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_ComponentResizeHandler.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_ComponentStyle.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_ComponentType.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_ComponentType__SOptionType.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_ConsoleWindow.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_DatafileCompiler.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_DirectoryScanner.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_Display.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_DisplayCard.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_DynamicProvider.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_EchoFilter.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_Endian.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_Error.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_EventListener.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_EventTrigger.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_FadeFilter.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_FileDialog.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_Font.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_Font_Description.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_Frame.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_FunctionSlot_v0.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_GUIFileParser.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_GUIFileParser__ComponentInfo.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_GUIManager.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_IPAddress.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_IRCConnection.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_Image.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_Input.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_InputAxis.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_InputAxis_Basic.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_InputAxis_Group.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_InputBox.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_InputBuffer.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_InputButton.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_InputButtonToAxis_Analog.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_InputButtonToAxis_Digital.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_InputButton_Basic.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_InputButton_Group.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_InputCursor.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_InputDevice.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_InputHat.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_InputSource.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_InputSourceProvider.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_InputSourceProvider_File.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_InputSource_File.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_InputSource_Memory.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_InputSource_NetPacket.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_InputSource_NetStream.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_InputSource_Raw.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_InputSource_Socket.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_InputSource_Zipped.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_Integer.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_InverseEchoFilter.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_JPEGProvider.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_JPGDProvider.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_JSArguments.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_JSContext.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_JSError.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_JSObject.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_JSRuntime.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_JSValue.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_KeepAlive.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_Key.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_Keyboard.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_Label.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_LayoutManager.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_ListBox.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_ListItem.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_Lua.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_MIDI.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_MenuNode.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_MessageBox.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_Mouse.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_MouseCursor.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_MouseCursorProvider.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_Mutex.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_MutexSection.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_NetComputer.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_NetGroup.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_NetMessage.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_NetObject.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_NetObjectChannel.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_NetObject_Client.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_NetObject_Controller.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_NetObject_Server.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_NetPacket.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_NetSession.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_NetStream.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_NetVariables.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_Network.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_OpenGL.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_OutputSource.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_OutputSourceProvider.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_OutputSource_File.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_OutputSource_Memory.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_OutputSource_NetPacket.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_OutputSource_NetStream.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_OutputSource_Socket.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_OutputSource_Zipped.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_PCXProvider.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_PNGProvider.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_Palette.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_PixelData.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_PixelData_Palette.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_Point.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_PopupMenu.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_ProgressBar.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_RadioButton.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_RadioGroup.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_Raw.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_Rect.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_Resource.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_ResourceData.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_ResourceData_Boolean.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_ResourceData_Integer.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_ResourceData_Raw.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_ResourceData_String.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_ResourceManager.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_ResourceOption.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_ResourceOptions.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_ResourceSource_Surface.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_ResourceType.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_Runnable.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_Sample.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_Sample_RawData.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_Sample_RawData__WAVE_FORMAT.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_Sample__WAVE_FORMAT.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_ScrollBar.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_SetupCDAudio.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_SetupCore.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_SetupDisplay.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_SetupGL.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_SetupGUI.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_SetupJPEG.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_SetupMikMod.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_SetupNetwork.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_SetupPNG.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_SetupSound.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_SetupTTF.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_SetupVorbis.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_Signal_v0.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_Size.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_Slot.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_SlotBuffer_v0.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_SlotContainer.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_SlotParent_v0.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_Slot_Generic.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_Slot_v0.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_Socket.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_Sound.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_SoundBuffer.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_SoundBuffer_Session.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_SoundCard.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_SoundFilter.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_Sprite2Provider.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_SpriteProvider.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_SpriteSubarrayProvider.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_SpriteSubsectionProvider.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_StaticSoundProvider.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_StreamSoundProvider.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_StreamSoundProvider_Session.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_Streamed_MikModSample.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_Streamed_MikModSample_Session.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_Streamed_RawSample.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_Streamed_RawSample_Session.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_Streamed_WaveSample.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_Streamed_WaveSample_Session.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_Streamed_WaveSample_Session__WAVE_FORMAT.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_String.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_StyleManager.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_StyleManager_Default.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_SubChannel.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_Surface.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_SurfaceProvider.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_SurfaceProvider_32bpp.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_SurfaceProvider_Generic.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_System.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_TargaProvider.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_Target.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_Texture.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_Thread.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_Timer.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_TreeItem.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_TreeNode.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_TreeView.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_Vector.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_Vector2.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_VidMode.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_Viewpoint.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_VorbisSoundProvider.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/CL_Window.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/Core_index.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/Display_index.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/GL_index.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/GUI_index.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/JPEG_index.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/JavaScript_index.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/Lua_index.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/MIDI_index.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/MikMod_index.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/Network_index.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/PNG_index.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/Signal_index.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/Sound_index.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/TTF_index.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/Vorbis_index.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/class_index.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/cross_index.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/entire_class_index.html
+%%PORTDOCS%%share/doc/clanlib/Reference/html/global_index.html
+%%PORTDOCS%%share/doc/clanlib/Reference/images/clanlib_light.gif
+%%PORTDOCS%%share/doc/clanlib/Reference/images/eyeheader-main-green-a.gif
+%%PORTDOCS%%share/doc/clanlib/Reference/images/eyeheader-main-green-b.gif
+%%PORTDOCS%%share/doc/clanlib/Reference/images/eyeheader-main-orange-a.gif
+%%PORTDOCS%%share/doc/clanlib/Reference/images/eyeheader-main-orange-b.gif
+%%PORTDOCS%%share/doc/clanlib/Reference/images/eyeheader-main-purple-a.gif
+%%PORTDOCS%%share/doc/clanlib/Reference/images/eyeheader-main-purple-b.gif
+%%PORTDOCS%%share/doc/clanlib/Reference/images/eyeheader-main-yellow-a.gif
+%%PORTDOCS%%share/doc/clanlib/Reference/images/eyeheader-main-yellow-b.gif
+%%PORTDOCS%%share/doc/clanlib/index.html
+%%PORTDOCS%%@dirrm share/doc/clanlib/Images
+%%PORTDOCS%%@dirrm share/doc/clanlib/Overview/Images
+%%PORTDOCS%%@dirrm share/doc/clanlib/Overview
+%%PORTDOCS%%@dirrm share/doc/clanlib/Reference/html
+%%PORTDOCS%%@dirrm share/doc/clanlib/Reference/images
+%%PORTDOCS%%@dirrm share/doc/clanlib/Reference
+%%PORTDOCS%%@dirrm share/doc/clanlib
Comment 2 linimon 2004-01-24 03:33:10 UTC
The submitter of ports/59964 has confirmed to me that this PR
supercedes that one.  Note: the repocopy to clanlib-devel, as
requested in 59964, has already been done, but not yet corrected
nor hooked up to the build.

Although I had taken that one, since I'm running way behind
this week, I think I'll let someone else take this one.
Comment 3 pav freebsd_committer 2004-01-24 12:14:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

I'll take it (mark linimon indicated ENOTIME)
Comment 4 pav freebsd_committer 2004-01-24 14:33:24 UTC
State Changed
From-To: open->closed

Committed, thanks!